project/src/model/User.java
package model;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class User {
	private int id;
	private String loginId;
	private String name;
	private Date birthDate;
	private String password;
	private String createDate;
	private String updateDate;

	// ログインセッションを保存するためのコンストラクタ
	public User() {

	}

	public User(String loginId, String name) {
		this.loginId = loginId;
		this.name = name;
	}

	// 全てのデータをセットするコンストラクタ
	public User(int id, String loginId, String name, Date birthDate, String password, String createDate,
			String updateDate) {
		this.id = id;
		this.loginId = loginId;
		this.name = name;
		this.birthDate = birthDate;
		this.password = password;
		this.createDate = createDate;
		this.updateDate = updateDate;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getLoginId() {
		return loginId;
	}
	public void setLoginId(String loginId) {
		this.loginId = loginId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getBirthDate() {
		return birthDate;
	}

	public String getBirthDateStr() {
		if(this.birthDate == null) {
			return "";
		}
		SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
		String strDate = dateFormat.format(this.birthDate);
		return strDate;
	}
	public void setBirthDate(Date birthDate) {
		this.birthDate = birthDate;
	}

	public void setBirthDate(String birthDate) {
		if(birthDate.equals("")) {
			return;
		}

		 SimpleDateFormat sdFormat = new SimpleDateFormat("yyyy-MM-dd");
         Date date = null;
		try {
			date = sdFormat.parse(birthDate);
		} catch (ParseException e) {
			e.printStackTrace();
		}
		this.birthDate = date;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public String getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(String updateDate) {
		this.updateDate = updateDate;
	}


}

project/src/UserDeleteServlet.java
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import DAO.UserDao;
import model.User;

/**
 * Servlet implementation class UserDeleteServlet
 */
@WebServlet("/UserDeleteServlet")
public class UserDeleteServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserDeleteServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {


		HttpSession session = request.getSession();
		User userInfo =(User)session.getAttribute("userInfo");
		if(userInfo == null) {
			response.sendRedirect("loginServlet");
			return;
		}

		String id = request.getParameter("id");
		System.out.println(id);

		UserDao UserDao = new UserDao();
		User user = UserDao.findById(id);

		request.setAttribute("user", user);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userDelete.jsp");
		dispatcher.forward(request, response);

	}

		protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		String id = request.getParameter("id");

		UserDao UserDao = new UserDao();
		UserDao.deleteUser(id);

		response.sendRedirect("userListServlet");

	}

}

project/src/UserUpdateServlet.java
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import DAO.UserDao;
import model.User;

/**
 * Servlet implementation class UserUpdateServlet
 */
@WebServlet("/UserUpdateServlet")
public class UserUpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserUpdateServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {


		HttpSession session = request.getSession();
		User userInfo =(User)session.getAttribute("userInfo");
		if(userInfo == null) {
			response.sendRedirect("loginServlet");
			return;
		}

		String id = request.getParameter("id");

		System.out.println(id);

		UserDao UserDao = new UserDao();
		User user = UserDao.findById(id);

		request.setAttribute("user", user);


		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
		dispatcher.forward(request, response);
	}


	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		request.setCharacterEncoding("UTF-8");

		String password = request.getParameter("password");
		String name = request.getParameter("name");
		String birth_date = request.getParameter("birthDate");
		String id = request.getParameter("id");
		String loginId = request.getParameter("loginId");
		String password2 = request.getParameter("password2");

		boolean isError = false;

		// 空白チェック
		if (password.equals("") || password2.equals("") || name.equals("")
				|| birth_date.equals("")) {
			isError = true;
		}

		// パスワード一致チェック
		if (!password.equals(password2)) {
			isError = true;
		}

		if(isError) {
			request.setAttribute("errMsg", "入力された内容は正しくありません。");

			User user2 = new User();
			user2.setLoginId(loginId);
			user2.setName(name);
			user2.setBirthDate(birth_date);

			request.setAttribute("user", user2);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userUpdate.jsp");
			dispatcher.forward(request, response);
		}else{
		UserDao UserDao = new UserDao();
		UserDao.UpdateUser(password, name, birth_date,id);

		response.sendRedirect("userListServlet");

		}
	}

}

project/src/loginServlet.java
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import DAO.UserDao;
import model.User;

/**
 * Servlet implementation class loginServlet
 */
@WebServlet("/loginServlet")
public class loginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public loginServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		request.setCharacterEncoding("UTF-8");

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
			request.setCharacterEncoding("UTF-8");

			String loginId = request.getParameter("loginId");
			String password = request.getParameter("password");

			UserDao userDao = new UserDao();
			User user = userDao.findByLoginInfo(loginId, password);

			if (user == null) {
				// リクエストスコープにエラーメッセージをセット
				request.setAttribute("errMsg", "ログインIDまたはパスワードが異なります。");

				// ログインjspにフォワード
				RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
				dispatcher.forward(request, response);
				return;
			}

			/** テーブルに該当のデータが見つかった場合 **/
			// セッションにユーザの情報をセット
			HttpSession session = request.getSession();

			session.setAttribute("userInfo", user);

			// ユーザ一覧のサーブレットにリダイレクト
			response.sendRedirect("userListServlet");


	}

}

project/src/userAddServlet.java
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import DAO.UserDao;
import model.User;

/**
 * Servlet implementation class userAddServlet
 */
@WebServlet("/userAddServlet")
public class userAddServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public userAddServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		HttpSession session = request.getSession();
		User userInfo = (User) session.getAttribute("userInfo");
		if (userInfo == null) {
			response.sendRedirect("loginServlet");
		} else {
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userADD.jsp");
			dispatcher.forward(request, response);
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		request.setCharacterEncoding("UTF-8");

		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");
		String name = request.getParameter("name");
		String birth_date = request.getParameter("birthDate");
		String password2 = request.getParameter("password2");

		boolean isError = false;
		// 空白チェック
		if (loginId.equals("") || password.equals("") || password2.equals("") || name.equals("")
				|| birth_date.equals("")) {
			isError = true;
		}

		// パスワード一致チェック
		if (!password.equals(password2)) {
			isError = true;
		}

		UserDao UserDao = new UserDao();
		boolean isLoginIdCheck = UserDao.findLoginId(loginId);

		// 既存ログインID一致チェック
		if (isLoginIdCheck) {
			isError = true;
		}

		if (isError) {
			request.setAttribute("errMsg", "入力された内容は正しくありません。");
			User user2 = new User();
			user2.setLoginId(loginId);
			user2.setName(name);
			user2.setBirthDate(birth_date);

			request.setAttribute("user", user2);

			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userADD.jsp");
			dispatcher.forward(request, response);
		} else {
			UserDao userDao = new UserDao();
			userDao.insertUser(loginId, password, name, birth_date);
		}

		response.sendRedirect("userListServlet");
	}

}

project/src/userListServlet.java
import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import DAO.UserDao;
import model.User;

/**
 * Servlet implementation class userListServlet
 */
@WebServlet("/userListServlet")
public class userListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public userListServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		// TODO 未実装：ログインセッションがない場合、ログイン画面にリダイレクトさせる
		request.setCharacterEncoding("UTF-8");

		HttpSession session = request.getSession();
		User userInfo =(User)session.getAttribute("userInfo");
		if(userInfo == null) {
			response.sendRedirect("loginServlet");
			return;
		}

		// ユーザ一覧情報を取得
		UserDao userDao = new UserDao();
		List<User> userList = userDao.findAll();

		// リクエストスコープにユーザ一覧情報をセット
		request.setAttribute("userList", userList);

		// ユーザ一覧のjspにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userlist.jsp");
		dispatcher.forward(request, response);



	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {

		request.setCharacterEncoding("UTF-8");


		String loginId = request.getParameter("loginId");
		String name = request.getParameter("name");
		String StBirth_date = request.getParameter("StBirthDate");
		String EdBirth_date = request.getParameter("EdBirthDate");

		UserDao UserDao = new UserDao();
		List<User> userList = UserDao.search(loginId, name, StBirth_date, EdBirth_date);

		request.setAttribute("userList", userList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userlist.jsp");
		dispatcher.forward(request, response);


	}

}

project/WebContent/WEB-INF/jsp/login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
    <link href="css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<title>ログイン画面</title>
</head>
<body>
	<div class="container">
		<br>
<div class="p-3 mb-2 bg-primary text-white">
			<h1 align="center">ログイン画面</h1></div>
	<c:if test="${errMsg != null}" >
	    <div class="alert alert-danger" role="alert">
		  ${errMsg}
		</div>
	</c:if>
		<br>

		<div align="center">
			<form action="loginServlet" method="post">
				<div class="row">

					<div class="col-4" align="right">ログインID</div>
					<div class="col-5">
						<div class="form-group">
							<input type="text" name="loginId" class="form-control" id="Inputid"
								placeholder="ログインID">
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-4" align="right">パスワード</div>
					<div class="col-5">
						<div class="form-group">
							<input type="password" name="password" class="form-control"
								id="InputPassword1" placeholder="パスワード">
						</div>
						<div class="form-group form-check"></div>
					</div>
				</div>
				<div align="center">
					<button type="submit" class="btn btn-primary">ログイン</button>
				</div>
			</form>
		</div>
	</div>
</body>
</html>

project/WebContent/WEB-INF/jsp/userADD.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
    <link href="css/bootstrap.min.css" rel="stylesheet">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

<meta charset="UTF-8">
<title>ユーザ新規登録画面</title>
</head>
<body>
	<div class="container">
		<header>
			<nav class="navbar navbar-dark sticky-top bg-primary flex-md-nowrap p-0">
				<a class="navbar-brand col-sm-3 col-md-2 mr-0" href="#">${sessionScope.userInfo.name}　さん</a>
				<ul class="navbar-nav px-3">
					<li class="nav-item text-nowrap"><a class="nav-link" href="LogoutServlet">ログアウト</a>
					</li>
				</ul>
			</nav>
		</header>
			<h1 align="center">ユーザ新規登録</h1>
	<c:if test="${errMsg != null}" >
	    <div class="alert alert-danger" role="alert">
		  ${errMsg}
		</div>
	</c:if>

		<br> <br>
		<div align="center">
			<form action="userAddServlet" method="post">
				<div class="row">

					<div class="col-4" align="right">ログインID</div>
					<div class="col-5">
						<div class="form-group">
							<input type="text" name="loginId" class="form-control" id="loginId"
								placeholder="ログインID" value="${user.loginId}">
						</div>
					</div>
				</div>
				<br>

				<div class="row">

					<div class="col-4" align="right">パスワード</div>
					<div class="col-5">
						<div class="form-group">
							<input type="password" name="password" class="form-control" id="password"
								placeholder="パスワード">
						</div>
					</div>
				</div>
				<br>

				<div class="row">

					<div class="col-4" align="right">パスワード(確認)</div>
					<div class="col-5">
						<div class="form-group">
							<input type="password" class="form-control" id="passwordConfirm" name="password2"
								placeholder="パスワード（確認）">
						</div>
					</div>
				</div>
				<br>

				<div class="row">

					<div class="col-4" align="right">ユーザ名</div>
					<div class="col-5">
						<div class="form-group">
							<input type="text" name="name" class="form-control" id="name"
								placeholder="ユーザ名" value="${user.name}">
						</div>
					</div>
				</div>
				<br>

				<div class="row">

					<div class="col-4" align="right">生年月日</div>
					<div class="col-5">
						<div class="form-group">
							<input type="date" name="birthDate" class="form-control" id="birthDate"
								placeholder="生年月日" value="${user.birthDateStr}">
						</div>
					</div>
				</div>
				<br>

				<button type="submit" class="btn btn-primary">登録</button>
			</form>
			<div align="left">
			<a class="nav-link" href="userListServlet">戻る</a>
			</div>
		</div>

</body>
</html>

project/WebContent/WEB-INF/jsp/userDelete.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<meta charset="UTF-8">
<title>ユーザ削除確認</title>
</head>
<body>

	<div class="container">
		<header>
			<nav class="navbar navbar-dark sticky-top bg-primary flex-md-nowrap p-0">
				<a class="navbar-brand col-sm-3 col-md-2 mr-0" href="#">${sessionScope.userInfo.name}　さん</a>
				<ul class="navbar-nav px-3">
					<li class="nav-item text-nowrap"><a class="nav-link" href="LogoutServlet">ログアウト</a>
					</li>
				</ul>
			</nav>
		</header>

		<h1 align="center">ユーザ削除確認</h1>
		<br>
		<p align="center">
			ログインID:<c:out value="${user.loginId}"/><br> を本当に削除してよろしいでしょうか。
		</p>
		<br> <br>

		<div align="center">
			<form action="UserDeleteServlet" method="post">
			<a class="btn btn-primary" href ="userListServlet">キャンセル</a>
			<input type="hidden" name="id" value="${user.id}">
			<input type="submit" class="btn btn-primary" value="OK">
			</form>
		</div>
	</div>
</body>
</html>

project/WebContent/WEB-INF/jsp/userInf.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<meta charset="UTF-8">
<title>ユーザ情報詳細参照</title>
</head>
<body>
<div class="container">
		<header>
			<nav class="navbar navbar-dark sticky-top bg-primary flex-md-nowrap p-0">
				<a class="navbar-brand col-sm-3 col-md-2 mr-0" href="#">${sessionScope.userInfo.name}　さん</a>
				<ul class="navbar-nav px-3">
					<li class="nav-item text-nowrap"><a class="nav-link" href="LogoutServlet">ログアウト</a>
					</li>
				</ul>
			</nav>
		</header>

		<h1 align="center">ユーザ情報詳細参照</h1>
		<br>
		<div class="container">

			<div class="row">
				<div class="col">ログインID</div>
				<div class="col"><c:out value="${user.loginId}"/></div>
				<div class="w-100"></div><br>
				<div class="col">ユーザ名</div>
				<div class="col"><c:out value="${user.name}"/></div>
				<div class="w-100"></div><br>
				<div class="col">生年月日</div>
				<div class="col"><c:out value="${user.birthDate}"/></div>
				<div class="w-100"></div><br>
				<div class="col">登録日時</div>
				<div class="col"><c:out value="${user.createDate}"/></div>
				<div class="w-100"></div><br>
				<div class="col">更新日時</div>
				<div class="col"><c:out value="${user.updateDate}"/></div>
			</div>
			<div align="left">
			<a class="nav-link" href="userListServlet">戻る</a>
			</div>
		</div>




	</div>

</body>
</html>

project/WebContent/WEB-INF/jsp/userUpdate.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>

<!DOCTYPE html>
<html>
<head>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<meta charset="UTF-8">
<title>ユーザ情報更新</title>
</head>
<body>
	<div class="container">
		<header>
			<nav
				class="navbar navbar-dark sticky-top bg-primary flex-md-nowrap p-0">
				<a class="navbar-brand col-sm-3 col-md-2 mr-0" href="#">${sessionScope.user.name}　さん</a>
				<ul class="navbar-nav px-3">
					<li class="nav-item text-nowrap"><a class="nav-link" href="LogoutServlet">ログアウト</a>
					</li>
				</ul>
			</nav>
		</header>

		<h1 align="center">ユーザ情報更新</h1>
		<br>
			<c:if test="${errMsg != null}" >
	    	<div class="alert alert-danger" role="alert">
		  	${errMsg}
			</div>
			</c:if>
		<br>
		<div align="center">
			<div class="row">


				<div class="col-4" align="right">ログインID</div>
				<div class="col-5"><c:out value="${user.loginId} "/></div>

			</div>
		</div>
		<br>
		<form action="UserUpdateServlet" method="post">
		<div align="center">
			<div class="row">

				<input type="hidden" name="id" value="${user.id}">
				<input type="hidden" name="loginId" value="${user.loginId}">

				<div class="col-4" align="right">パスワード</div>
				<div class="col-5">
					<div class="form-group">
						<input type="password" class="form-control" name="password"
							id="exampleInputEmail1" placeholder="パスワード">
					</div>
				</div>
			</div>
			<br>

			<div class="row">

				<div class="col-4" align="right">パスワード(確認)</div>
				<div class="col-5">
					<div class="form-group">
						<input type="password" class="form-control" name="password2"
							id="exampleInputEmail1" placeholder="パスワード（確認）">
					</div>
				</div>
			</div>
			<br>

			<div class="row">

				<div class="col-4" align="right">ユーザ名</div>
				<div class="col-5">
					<div class="form-group">
						<input type="text" class="form-control" id="exampleInputEmail1" name="name"
							value="${user.name}">
					</div>
				</div>
			</div>
			<br>

			<div class="row">

				<div class="col-4" align="right">生年月日</div>
				<div class="col-5">
					<div class="form-group">
						<input type="date" class="form-control" id="exampleInputEmail1" name=birthDate
							value="${user.birthDateStr}">
					</div>
				</div>
			</div>
			<br>

			<button type="submit" class="btn btn-primary">更新</button>
			</div>
		</form>
			<div align="left">
			<a class="nav-link" href="userListServlet">戻る</a>
			</div>
		</div>


</body>
</html>